<?xml version="1.0"?>
<!--                                                                        -->
<!-- Licensed Materials - Property of IBM                                   -->
<!-- (C) Copyright IBM Corp. 2003, 2004.  All Rights Reserved.              -->
<!--                                                                        -->
<!-- US Government Users Restricted Rights - Use, duplication or disclosure -->
<!-- restricted by GSA ADP Schedule Contract with IBM Corp.                 -->
<!--                                                                        -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:publish="http://www.ibm.com/Rational/XTools/Publish" 
                exclude-result-prefixes="publish">

<xsl:output method="html"/>

<!-- Style sheet parameters -->
  <xsl:param name="outputDir"/>  <!-- Location for root of output -->
  <xsl:param name="imagesDir"/>  <!-- Location of images -->
  <xsl:param name="contentDir"/> <!-- Location of html content files -->

  <xsl:template match="/">
    <xsl:apply-templates select="publish:vizdiagram"/>
  </xsl:template>
                 
  <xsl:template name="createProjectIndex" match="publish:vizdiagram">
    <html>
      <head>
        <title><xsl:value-of select="@name"/></title>
      </head>
      <body>
        <h1><xsl:value-of select="@name"/></h1>
	<p></p>
	<p></p>
	<table border="1" cellpadding="3" cellspacing="0">
        <xsl:apply-templates select="publish:link"/>
	</table>
      </body>
    </html>
  </xsl:template>


  <xsl:template name="createProjectLinks" match="publish:link">
      <tr><td>
      <img border="0">
        <xsl:attribute name="src"><xsl:value-of select="concat('../', $imagesDir, @publish:filename)"/></xsl:attribute>
	<xsl:attribute name="alt"><xsl:value-of select="@name"/></xsl:attribute>
      </img>
      </td></tr>
  </xsl:template>

</xsl:stylesheet>
